Products
Get Product
GET
/
products
/
{id}
Get Product
curl --request GET \
--url https://api.alguna.io/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alguna.io/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"sku": "<string>",
"feeType": "<string>",
"paymentTerms": "<string>",
"billingFrequency": "<string>",
"metricIds": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Response
string
The unique identifier for the product.
string
The name of the product.
string
A brief description of the product.
string
A product code used in external ERP solutions of revenue recognition.
string
The fee type of the product, indicating whether the cost is fixed or based on
usage (metered).
string
The payment terms for the product, such as arrears.
string
The frequency at which the product is billed, e.g., recurring.
[]string
The identifiers for the associated metrics. This field is applicable for
metered products.
date
The timestamp when the product was created.
date
The timestamp when the product was last updated.
⌘I
Get Product
